Bug 1575302 - [abrt] free_irq: WARNING: CPU: 1 PID: 15582 at kernel/irq/manage.c:1546 __free_irq+0xa4/0x2e0 [NEEDINFO]
Summary: [abrt] free_irq: WARNING: CPU: 1 PID: 15582 at kernel/irq/manage.c:1546 __fre...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3b4d718e17eb31a03de387e3145...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-05 20:19 UTC by skyb0rg007
Modified: 2018-08-29 14:58 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 14:58:12 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (230.22 KB, text/plain)
2018-05-05 20:19 UTC, skyb0rg007
no flags Details

Description skyb0rg007 2018-05-05 20:19:26 UTC
Description of problem:
The error occured when hibernating the OS and switching to Windows. 
The error was listed when I resumed Fedora, but am not sure what the issue was since all applications were still running.

Additional info:
reporter:       libreport-2.9.3
WARNING: CPU: 1 PID: 15582 at kernel/irq/manage.c:1546 __free_irq+0xa4/0x2e0
Modules linked in: cdc_mbim cdc_wdm snd_usb_audio snd_usbmidi_lib cdc_ncm snd_rawmidi usbnet mii uas usb_storage usblp uhid cmac thunderbolt nvmem_core rfcomm ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat fuse arc4 snd_soc_skl snd_soc_skl_ipc snd_hda_ext_core snd_soc_sst_dsp snd_hda_codec_hdmi snd_soc_sst_ipc
 intel_rapl snd_soc_acpi x86_pkg_temp_thermal intel_powerclamp snd_soc_core coretemp snd_hda_codec_realtek snd_hda_codec_generic snd_compress snd_pcm_dmaengine ac97_bus iwlmvm snd_hda_intel kvm iTCO_wdt iTCO_vendor_support hid_multitouch snd_hda_codec mac80211 snd_hda_core wmi_bmof intel_wmi_thunderbolt hp_wmi snd_hwdep snd_seq snd_seq_device iwlwifi irqbypass snd_pcm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel intel_cstate btusb btrtl btbcm intel_uncore btintel uvcvideo intel_rapl_perf cfg80211 videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 bluetooth videobuf2_common videodev snd_timer snd joydev media soundcore i2c_i801 ecdh_generic hid_sensor_rotation hid_sensor_incl_3d hid_sensor_gyro_3d hid_sensor_magn_3d rfkill hid_sensor_accel_3d hid_sensor_trigger hid_sensor_iio_common
 industrialio_triggered_buffer kfifo_buf industrialio mei_me tpm_crb shpchp mei idma64 processor_thermal_device intel_lpss_pci intel_soc_dts_iosf intel_lpss wmi intel_pch_thermal int3403_thermal int340x_thermal_zone tpm_tis pinctrl_sunrisepoint tpm_tis_core pinctrl_intel hp_wireless int3400_thermal tpm intel_vbtn acpi_thermal_rel sparse_keymap acpi_pad binfmt_misc hid_sensor_hub intel_ishtp_hid i915 i2c_algo_bit drm_kms_helper crc32c_intel drm nvme intel_ish_ipc nvme_core serio_raw intel_ishtp i2c_hid video
CPU: 1 PID: 15582 Comm: kworker/u8:16 Not tainted 4.16.3-200.fc27.x86_64 #1
Hardware name: HP HP Spectre x360 Convertible 13-ac0XX/827E, BIOS F.20 12/01/2016
Workqueue: kacpi_hotplug acpi_hotplug_work_fn
RIP: 0010:__free_irq+0xa4/0x2e0
RSP: 0000:ffffa61746843c18 EFLAGS: 00010086
RAX: 0000000000000000 RBX: 0000000000000012 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff88973ec968f0
RBP: ffff889643572000 R08: 0000000000003d97 R09: 0000000000000004
R10: 0000000000000000 R11: 0000000000000001 R12: 0000000000000012
R13: ffff889726c0df60 R14: ffff889726c0dea4 R15: ffff889726c0de00
FS:  0000000000000000(0000) GS:ffff88973ec80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000007bca7bb7 CR3: 000000028120a005 CR4: 00000000003606e0
Call Trace:
 free_irq+0x30/0x60
 xhci_cleanup_msix+0x9b/0xa0
 xhci_stop+0x93/0x1c0
 usb_remove_hcd+0xf9/0x240
 usb_hcd_pci_remove+0x6b/0x130
 pci_device_remove+0x3b/0xb0
 device_release_driver_internal+0x15a/0x220
 pci_stop_bus_device+0x7d/0xa0
 pci_stop_bus_device+0x2b/0xa0
 pci_stop_bus_device+0x3d/0xa0
 pci_stop_and_remove_bus_device+0xe/0x20
 disable_slot+0x49/0x90
 acpiphp_check_bridge.part.5+0xba/0x140
 acpiphp_hotplug_notify+0x175/0x200
 ? free_bridge+0x100/0x100
 acpi_device_hotplug+0x9c/0x460
 acpi_hotplug_work_fn+0x1a/0x30
 process_one_work+0x175/0x360
 worker_thread+0x2e/0x380
 ? process_one_work+0x360/0x360
 kthread+0x113/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x35/0x40
Code: 39 6a 08 75 0e e9 fa 01 00 00 48 39 6b 08 74 59 48 89 da 48 8b 5a 18 48 85 db 75 ee 44 89 e6 48 c7 c7 d8 d3 09 b5 e8 0c e9 f9 ff <0f> 0b 48 8b 34 24 4c 89 f7 e8 ce f0 7a 00 49 8b 47 40 48 8b 80

Comment 1 skyb0rg007 2018-05-05 20:19:40 UTC
Created attachment 1432072 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 14:59:51 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 14:58:12 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.